﻿function map(lat, lon, zoom) {
  var myMap = L.map('map').setView([lat, lon], zoom);
  var attribution = 'Map data &copy; '
    +'<a href="http://openstreetmap.org">'
    +'OpenStreetMap</a> contributors, '
    +'<a href="http://opendatacommons.org/licenses/odbl/">ODbL</a>';
  L.tileLayer('http://tile.openstreetmap.org/{z}/{x}/{y}.png',
  {
    attribution: attribution,
    maxZoom: 18
  }).addTo(myMap);

  // Marker setzen
  var marker1 = L.marker([50.823, 12.926]).addTo(myMap);
  // Beim Anklicken angezeigter Inhalt:
  marker1.bindPopup(
    '<b>Südbahnhof</b>'
  );
  // Eigener Marker
  var starIcon = L.icon({
    iconUrl: 'star.png',
    iconSize: [32, 32],
    iconAnchor: [16, 16],
    popupAnchor: [0,-16],
  });
  var marker2 = L.marker([50.8135, 12.9293], {icon: starIcon}).addTo(myMap);
  // Beim Anklicken angezeigter Inhalt:
  marker2.bindPopup(
    '<b>Chemnitzer Linux-Tage<br/><img src="wahl.png"/>'
  );
}
